<!DOCTYPE html>
<html lang="en">
<head>
  <meta charset="utf-8">
<!-- protobufobjc-module.qdoc -->
  <title>protobuf.objc QML Type | Qbs Manual</title>
  <link rel="stylesheet" type="text/css" href="style/offline-simple.css" />
  <script type="text/javascript">
    document.getElementsByTagName("link").item(0).setAttribute("href", "style/offline.css");
    // loading style sheet breaks anchors that were jumped to before
    // so force jumping to anchor again
    setTimeout(function() {
        var anchor = location.hash;
        // need to jump to different anchor first (e.g. none)
        location.hash = "#";
        setTimeout(function() {
            location.hash = anchor;
        }, 0);
    }, 0);
  </script>
</head>
<body>
<div class="header" id="qtdocheader">
  <div class="main">
    <div class="main-rounded">
      <div class="navigationbar">
        <table><tr>
<td ><a href="index.html">Qbs Manual</a></td></tr></table><table class="buildversion"><tr>
<td id="buildversion" width="100%" align="right">Qbs 1.15.0</td>
        </tr></table>
      </div>
    </div>
<div class="content">
<div class="line">
<div class="content mainContent">
<p class="naviNextPrevious headerNavi">
</p><p/>
<div class="sidebar">
<div class="toc">
<h3><a name="toc">Contents</a></h3>
<ul>
<li class="level1"><a href="#properties">Properties</a></li>
<li class="level1"><a href="#details">Detailed Description</a></li>
<li class="level2"><a href="#relevant-file-tags">Relevant File Tags</a></li>
</ul>
</div>
<div class="sidebar-content" id="sidebar-content"></div></div>
<h1 class="title">protobuf.objc QML Type</h1>
<span class="subtitle"></span>
<!-- $$$protobuf.objc-brief -->
<p>Provides support for protocol buffers for the Objective-C language. <a href="#details">More...</a></p>
<!-- @@@protobuf.objc -->
<div class="table"><table class="alignedsummary">
<tr><td class="memItemLeft rightAlign topAlign"> Import Statement:</td><td class="memItemRight bottomAlign"> import QbsModules .</td></tr><tr><td class="memItemLeft rightAlign topAlign"> Since:</td><td class="memItemRight bottomAlign"> Qbs 1.13</td></tr></table></div><ul>
<li><a href="qml-qbsmodules-protobuf-objc-members.html">List of all members, including inherited members</a></li>
</ul>
<a name="properties"></a>
<h2 id="properties">Properties</h2>
<ul>
<li class="fn"><b><b><a href="qml-qbsmodules-protobuf-objc.html#frameworkPath-prop">frameworkPath</a></b></b> : string</li>
<li class="fn"><b><b><a href="qml-qbsmodules-protobuf-objc.html#importPaths-prop">importPaths</a></b></b> : pathList</li>
<li class="fn"><b><b><a href="qml-qbsmodules-protobuf-objc.html#includePath-prop">includePath</a></b></b> : string</li>
<li class="fn"><b><b><a href="qml-qbsmodules-protobuf-objc.html#libraryPath-prop">libraryPath</a></b></b> : string</li>
<li class="fn"><b><b><a href="qml-qbsmodules-protobuf-objc.html#protocBinary-prop">protocBinary</a></b></b> : string</li>
</ul>
<!-- $$$protobuf.objc-description -->
<a name="details"></a>
<h2 id="details">Detailed Description</h2>
<p>The <code>protobuf.objc</code> module provides support for generating Objective-C headers and sources from proto definition files using the <a href="https://github.com/protocolbuffers/protobuf">protoc</a> tool.</p>
<a name="relevant-file-tags"></a>
<h3 id="relevant-file-tags">Relevant File Tags</h3>
<div class="table"><table class="generic">
 <thead><tr class="qt-style"><th >Tag</th><th >Auto-tagged File Names</th><th >Since</th><th >Description</th></tr></thead>
<tr valign="top" class="odd"><td ><code>&quot;protobuf.input&quot;</code></td><td ><code>*.proto</code></td><td >1.13.0</td><td >Source files with this tag are considered inputs to the <code>protoc</code> compiler.</td></tr>
</table></div>
<!-- @@@protobuf.objc -->
<h2>Property Documentation</h2>
<!-- $$$frameworkPath -->
<div class="qmlitem"><div class="qmlproto">
<div class="table"><table class="qmlname">
<tr valign="top" class="odd" id="frameworkPath-prop">
<td class="tblQmlPropNode"><p>
<span class="name">frameworkPath</span> : <span class="type">string</span></p></td></tr>
</table></div></div>
<div class="qmldoc"><p>The path where <code>Protobuf.framework</code> is located. Set this property to override the default location.</p>
<p>Default: <code>auto-detected</code></p>
</div></div><!-- @@@frameworkPath -->
<br/>
<!-- $$$importPaths -->
<div class="qmlitem"><div class="qmlproto">
<div class="table"><table class="qmlname">
<tr valign="top" class="odd" id="importPaths-prop">
<td class="tblQmlPropNode"><p>
<span class="name">importPaths</span> : <span class="type">pathList</span></p></td></tr>
</table></div></div>
<div class="qmldoc"><p>The list of imports that are passed to the <code>protoc</code> tool via the <code>--proto_path</code> option. These imports should contain the proto files. They are used to determine the relative structure of the generated files.</p>
<p><b>Note: </b>The paths are passed to <code>protoc</code> in the same order as specified in this property and <code>protoc</code> output may differ depending on that order.</p><p>Default: <code>[]</code></p>
</div></div><!-- @@@importPaths -->
<br/>
<!-- $$$includePath -->
<div class="qmlitem"><div class="qmlproto">
<div class="table"><table class="qmlname">
<tr valign="top" class="odd" id="includePath-prop">
<td class="tblQmlPropNode"><p>
<span class="name">includePath</span> : <span class="type">string</span></p></td></tr>
</table></div></div>
<div class="qmldoc"><p>The path where protobuf Objective-C headers are located. Set this property to override the default location.</p>
<p><b>Note: </b>If <a href="qml-qbsmodules-protobuf-objc.html#frameworkPath-prop">frameworkPath</a> is specified, this property has no effect.</p><p>Default: <code>auto-detected</code></p>
</div></div><!-- @@@includePath -->
<br/>
<!-- $$$libraryPath -->
<div class="qmlitem"><div class="qmlproto">
<div class="table"><table class="qmlname">
<tr valign="top" class="odd" id="libraryPath-prop">
<td class="tblQmlPropNode"><p>
<span class="name">libraryPath</span> : <span class="type">string</span></p></td></tr>
</table></div></div>
<div class="qmldoc"><p><b>Note: </b>If <a href="qml-qbsmodules-protobuf-objc.html#frameworkPath-prop">frameworkPath</a> is specified, this property has no effect.</p><p>Default: <code>auto-detected</code></p>
</div></div><!-- @@@libraryPath -->
<br/>
<!-- $$$protocBinary -->
<div class="qmlitem"><div class="qmlproto">
<div class="table"><table class="qmlname">
<tr valign="top" class="odd" id="protocBinary-prop">
<td class="tblQmlPropNode"><p>
<span class="name">protocBinary</span> : <span class="type">string</span></p></td></tr>
</table></div></div>
<div class="qmldoc"><p>The command to invoke when compiling proto definition files.</p>
<p>Default: <code>auto-detected</code></p>
</div></div><!-- @@@protocBinary -->
<br/>
<p class="naviNextPrevious footerNavi">
</p>
        </div>
       </div>
   </div>
   </div>
</div>
<div class="footer">
   <p>
   <acronym title="Copyright">&copy;</acronym> 2020 The Qt Company Ltd.
   Documentation contributions included herein are the copyrights of
   their respective owners.<br/>    The documentation provided herein is licensed under the terms of the    <a href="http://www.gnu.org/licenses/fdl.html">GNU Free Documentation    License version 1.3</a> as published by the Free Software Foundation.<br/>    Qt and respective logos are trademarks of The Qt Company Ltd.     in Finland and/or other countries worldwide. All other trademarks are property
   of their respective owners. </p>
</div>
</body>
</html>
